timeouts:
  job:
    minutes: 105
  connection:
    minutes: 2
  actions:
    finalize:
      seconds: 60
context:
  test_character_delay: 10
  extra_kernel_args: ' systemd.log_level=warning '
reboot_to_fastboot: false
secrets:
  SQUAD_ARCHIVE_SUBMIT_TOKEN: SQUAD_ARCHIVE_SUBMIT_TOKEN
device_type: dragonboard-845c
job_name: lkft-android-kernel-branch-build-number-ltp-smoketest
priority: 99
visibility:
  group:
  - lkft
tags:
- lcg
metadata:
  android.build: build-number
  android.name: job-name
  android.url: reference-build-url
  android.version: android-version
  android.build.vendor.fingerprint: android-vendor-fingerprint
  lkft.build.config: lkft-android-build-config
  git branch: kernel-branch
  git repo: kernel-repo-url
  git commit: kernel-commit
  git describe: kernel-describe
  build-url: build-url
  ltp-smoketest-tests__url: unknown
  ltp-smoketest-tests__version: unknown
  ltp-smoketest-tests__revision: unknown
actions:
- deploy:
    timeout:
      minutes: 35
    to: fastboot
    images:
      partition:0:
        url: 
          https://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard845c/linaro/rescue/101/dragonboard-845c-bootloader-ufs-aosp-101/gpt_both0.bin
      boot:
        url: boot-image-url
        compression: xz
      super:
        url: super-image-url
        compression: xz
      userdata:
        url: userdata-image-url
        compression: xz
    os: android
- boot:
    prompts:
    - console:/
    - root@(.*):[/~]#
    timeout:
      minutes: 15
    method: fastboot
    commands:
    - format:ext4 metadata
    - oem select-display-panel hdmi
    - reboot bootloader
    - oem select-display-panel hdmi
    - reboot bootloader
    - oem select-display-panel hdmi
    - reboot
    docker:
      image: linaro/lava-android-test:focal-2023.10.18-01
      local: true
- test:
    timeout:
      minutes: 5
    interactive:
    - name: sleep-to-wait-adb-available
      prompts:
      - console:/
      - root@(.*):[/~]#
      script:
      - command: echo ===========================
      - command: while ! getprop sys.boot_completed|grep 1; do echo sleep 10s for
          sys.boot_completed; sleep 10; done
      - command: echo ===========================
      - command: while ! getprop init.svc.adbd|grep running; do echo sleep 10s for
          init.svc.adbd; sleep 10; done
      - command: echo ===========================
      - command: getprop | grep adb
      - command: echo ===========================
- test:
    docker:
      image: docker-hub-url
      local: true
    timeout:
      minutes: 5
    definitions:
    - from: inline
      path: boot.yaml
      name: boot
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: boot
          description: boot
        run:
          steps:
          - lava-test-case "android-boot-wait-for-device" --shell adb wait-for-device
          - lava-test-case "android-boot-boot-completed" --shell "while ! adb shell
            getprop sys.boot_completed|grep 1; do sleep 2; done"
          - lava-test-case "android-boot-set-power-stayon" --shell adb shell su 0
            svc power stayon true
          - lava-test-case "android-boot-screencap" --shell adb shell screencap -p
            /data/local/tmp/screencap.png
- test:
    docker:
      image: docker-hub-url
      local: true
    timeout:
      minutes: 15
    definitions:
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      lava-signal: kmsg
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: smoketest
        SKIPFILE: skipfile-lkft.yaml
        BOARD: dragonboard-845c
        BRANCH: default
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: '10'
        LTP_TMPDIR: /scratch
        SHARD_NUMBER: '1'
        SHARD_INDEX: '1'
      name: ltp-smoketest
